| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::container::scoped_allocator_adaptor::rebind

## Synopsis

    // In header: <boost/container/scoped_allocator.hpp>

    template<typename U>
    struct rebind {
      // types
      typedef scoped_allocator_adaptor< typename outer_traits_type::template portable_rebind_alloc< U >::type, InnerAllocs... > other;
    };

## Description

Type: Rebinds scoped allocator to `typedef scoped_allocator_adaptor < typename outer_traits_type::template portable_rebind_alloc<U>::type , InnerAllocs... >`